com.hazelcast.config

## Class QuorumListenerConfig

- java.lang.Object
- - com.hazelcast.config.ListenerConfig
  - - com.hazelcast.config.QuorumListenerConfig

- All Implemented Interfaces:
    DataSerializable, IdentifiedDataSerializable

      public class QuorumListenerConfig
      extends ListenerConfig

  Confiquration class for `QuorumListener` IMPORTANT: The term "quorum" simply refers to the count of members in the cluster required for an operation to succeed. It does NOT refer to an implementation of Paxos or Raft protocols as used in many NoSQL and distributed systems. The mechanism it provides in Hazelcast protects the user in case the number of nodes in a cluster drops below the specified one.

- - ### Field Summary

    - ### Fields inherited from class com.hazelcast.config.ListenerConfig

      `className, implementation`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QuorumListenerConfig()`
    `QuorumListenerConfig(QuorumListener implementation)`
    `QuorumListenerConfig(String className)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()` Returns type identifier for this class.
    `QuorumListener` | `getImplementation()` Returns the EventListener implementation.
    `boolean` | `isIncludeValue()`
    `boolean` | `isLocal()`
    `ListenerConfig` | `setImplementation(QuorumListener implementation)`

    - ### Methods inherited from class com.hazelcast.config.ListenerConfig

      `equals, getAsReadOnly, getClassName, getFactoryId, hashCode, readData, setClassName, setImplementation, toString, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QuorumListenerConfig

          public QuorumListenerConfig()

    - #### QuorumListenerConfig

          public QuorumListenerConfig(String className)

    - #### QuorumListenerConfig

          public QuorumListenerConfig(QuorumListener implementation)

  - ### Method Detail

    - #### getImplementation

          public QuorumListener getImplementation()

      Description copied from class: `ListenerConfig`
      Returns the EventListener implementation. If none has been specified, null is returned.
      Overrides:
        `getImplementation` in class `ListenerConfig`
      Returns:
        the EventListener implementation
      See Also:
        `ListenerConfig.setImplementation(java.util.EventListener)`

    - #### setImplementation

          public ListenerConfig setImplementation(QuorumListener implementation)

    - #### isIncludeValue

          public boolean isIncludeValue()

      Overrides:
        `isIncludeValue` in class `ListenerConfig`

    - #### isLocal

          public boolean isLocal()

      Overrides:
        `isLocal` in class `ListenerConfig`

    - #### getId

          public int getId()

      Description copied from interface: `IdentifiedDataSerializable`
      Returns type identifier for this class. It should be unique per DataSerializableFactory.
      Specified by:
        `getId` in interface `IdentifiedDataSerializable`
      Overrides:
        `getId` in class `ListenerConfig`
      Returns:
        type ID

Copyright © 2019. All rights reserved.